<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script setup lang="ts">
import { ref, inject } from 'vue';
import { useRouter } from 'vue-router';
import { request } from '@/lib/request';
import Button from '@/components/general/Button.vue';
import PasswordField from '@/components/general/form/PasswordField.vue';

const router = useRouter();
const emits = defineEmits<{
    (e: 'hide'): void
}>();
const password = ref('');
const error = ref('');

let configuration = inject<any>('configuration');

const submit = async () => {
    if (password.value && password.value.length > 0) {
        let response = await request('POST', configuration.apiServer + '/api/stats/login', { password: password.value });
        if (response && response.status === 'ok')
            emits('hide');
        else {
            router.push({ name: "home" });
        }
    }
};

</script>
<template>
<div class="bg-gray-100 w-screen h-screen">
    <div class="flex max-w-xl mx-auto h-full px-4 items-center">
        <div class="relative box-border transition duration-100 ease-in-out rounded-lg bg-white p-4 shadow-md">
            <div class="flex flex-col gap-2">
                <strong>{{ $t("login.label") }}</strong>
                <PasswordField v-model="password" :strong="false"/>
                <Button :variant="password && password.length > 0?'confirm':'disabled'" @click="submit">{{ $t("adminMenu.passwordReset.submit") }}</Button>
            </div>
        </div>
    </div>
</div>
</template>
